<?xml version="1.0"?>
<configuration>
    <configSections>
        <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
            <section name="NASA.CONSOFT.Satelites.Facturak.eFacturasWinForms.My.MySettings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false"/>
        </sectionGroup>
    </configSections>
    <system.diagnostics>
        <sources>
            <!-- This section defines the logging configuration for My.Application.Log -->
            <source name="DefaultSource" switchName="DefaultSwitch">
                <listeners>
                    <add name="FileLog"/>
                    <!-- Uncomment the below section to write to the Application Event Log -->
                    <!--<add name="EventLog"/>-->
                </listeners>
            </source>
        </sources>
        <switches>
            <add name="DefaultSwitch" value="Information"/>
        </switches>
        <sharedListeners>
            <add name="FileLog" type="Microsoft.VisualBasic.Logging.FileLogTraceListener, Microsoft.VisualBasic, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" initializeData="FileLogWriter"/>
            <!-- Uncomment the below section and replace APPLICATION_NAME with the name of your application to write to the Application Event Log -->
            <!--<add name="EventLog" type="System.Diagnostics.EventLogTraceListener" initializeData="APPLICATION_NAME"/> -->
        </sharedListeners>
    </system.diagnostics>
    <applicationSettings>
        <NASA.CONSOFT.Satelites.Facturak.eFacturasWinForms.My.MySettings>
            <setting name="eFacturasWinForms_WsSorianaTest_wseDocRecibo" serializeAs="String">
                <value>http://www2.soriana.com/integracion/recibecfd/wsedocrecibo.asmx</value>
            </setting>
        </NASA.CONSOFT.Satelites.Facturak.eFacturasWinForms.My.MySettings>
    </applicationSettings>
  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="PuertoTimbradoReal">
          <security mode="Transport"/>
        </binding>
        <binding name="PuertoClientesReal">
          <security mode="Transport"/>
        </binding>
        <binding name="PuertoTimbradoTest"/>
        <binding name="PuertoClientesTest"/>
        <binding name="PuertoClientes"/>
        <binding name="PuertoClientes1">
          <security mode="Transport"/>
        </binding>
      </basicHttpBinding>
    </bindings>
    <client>
      <endpoint address="https://nasa.ecodex.com.mx:2046/WS/ServicioTimbrado.svc" binding="basicHttpBinding" bindingConfiguration="PuertoTimbradoReal" contract="Ecodex.Real.Timbrado.Timbrado" name="PuertoTimbradoReal"/>
      <endpoint address="https://nasa.ecodex.com.mx:2046/WS/ServicioClientes.svc" binding="basicHttpBinding" bindingConfiguration="PuertoClientesReal" contract="Ecodex.Real.Clientes.Clientes" name="PuertoClientesReal"/>
      <endpoint address="http://pruebasdedicadas.cloudapp.net:7658/ServicioClientes.svc" binding="basicHttpBinding" bindingConfiguration="PuertoTimbradoTest" contract="Ecodex.Test.Timbrado.Timbrado" name="PuertoTimbradoTest"/>
      <endpoint address="http://pruebasdedicadas.cloudapp.net:7658/ServicioTimbrado.svc" binding="basicHttpBinding" bindingConfiguration="PuertoClientesTest" contract="Ecodex.Test.Clientes.Clientes" name="PuertoClientesTest"/>
      <endpoint address="http://rd00155da90f4f:7658/ServicioClientes.svc" binding="basicHttpBinding" bindingConfiguration="PuertoClientes" contract="Ecodex.Test.Clientes.Clientes" name="PuertoClientes"/>
      <endpoint address="https://rd00155d44f3f1:2046/WS/ServicioClientes.svc" binding="basicHttpBinding" bindingConfiguration="PuertoClientes1" contract="Ecodex.Real.Clientes.Clientes" name="PuertoClientes1"/>
    </client>
  </system.serviceModel>
  <startup useLegacyV2RuntimeActivationPolicy="true"><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.7.2"/></startup></configuration>
